API DocumentationAddresses

Edit an existing address

PUT
/api/manufacturer/v1/address/{addressId}

Creates a new address with the updated details, soft-deletes the old address, and transfers billing status if applicable

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

addressId*integer

ID of the address to edit

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/manufacturer/v1/address/1" \  -H "Content-Type: application/json" \  -d '{    "street1": "string",    "street2": "string",    "city": "string",    "state": "string",    "country": "string",    "zip": "string",    "name": "string",    "company": "string",    "phone": "string",    "email": "string",    "residential": true  }'
{  "addressId": 0,  "isBillingAddress": true,  "isShippingAddress": true,  "street1": "string",  "street2": "string",  "city": "string",  "state": "string",  "country": "string",  "countryAlpha2Code": "string",  "countryAlpha3Code": "string",  "jurisdictionIsoCode": "string",  "zip": "string",  "name": "string",  "company": "string",  "phone": "string",  "email": "string",  "residential": true,  "addressType": "string",  "isDeleted": true,  "taxId": "string"}
Empty

Last updated on